Subject: Re: [PATCH net-next 0/2] ip6mr: implement RTM_GETROUTE for single entry

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Jun 2022 20:27:06 -0700

On Thu, 30 Jun 2022 15:30:49 +0200 David Lamparter wrote:
> The IPv6 multicast routing code implements RTM_GETROUTE, but only for a
> dump request.  Retrieving a single MFC entry is not currently possible
> via netlink.
> 
> While most of the data here can also be retrieved with SIOCGETSGCNT_IN6,
> the lastused / RTA_EXPIRES is not included in the ioctl result (and we
> need it in FRR.)
> 
> => Implement single-entry RTM_GETROUTE by copying and adapting the IPv4  
> code.
> 
> Tested against FRRouting's (work-in-progress) IPv6 PIM implementation.

You must CC maintainers (./scripts/get_maintainer.pl). With the patch
volume on netdev and constant trouble with gmail the chances of people
missing a submission are just too high. Please repost.